---
search:
  tags:
    - Merchant Users
    - GET
seo:
  description: >-
    Retrieves a paginated list of merchant users with support… Reference for the
    GET /api/v1/{team_slug}/{app_slug}/merchant-users endpoint in the Management
    API.
sidebar:
  label: List merchant users
  badge: GET
title: List merchant users
type: openapi-operation
---
Retrieves a paginated list of merchant users with support for filtering by various attributes and sorting options

`GET /api/v1/{team_slug}/{app_slug}/merchant-users`

**Responses**

- `200` — List of merchant users
- `400` — Invalid request (e.g. bad parameters, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "count": 0,
    "pages": 0,
    "users": [
      {
        "additions": {
          "property1": "string",
          "property2": "string"
        },
        "address": {
          "city": "string",
          "country": "string",
          "country_code": "string",
          "street": "string",
          "zip_code": "string"
        },
        "address_restrictions": [
          {
            "address_id": "string",
            "formatted_address": "string",
            "organisation_id": "string",
            "organisation_name": "string",
            "organisation_number": "string"
          }
        ],
        "app_id": "string",
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "comment": "string",
        "communication_preferences": {
          "allow_email": true,
          "allow_postal": true,
          "allow_sms": true
        },
        "created_at": "string",
        "customer_groups": [
          {
            "id": "string",
            "name": "string",
            "slug": "string"
          }
        ],
        "email": "string",
        "email_verification_sent_at": "string",
        "email_verified": true,
        "id": "string",
        "is_super_admin": true,
        "language": "string",
        "market": "string",
        "name": "string",
        "organisations": [
          {
            "custom_role_id": "string",
            "custom_role_name": "string",
            "custom_role_slug": "string",
            "id": "string",
            "level": "string",
            "name": "string",
            "organisation_number": "string"
          }
        ],
        "phone_number": "string",
        "status": "string",
        "store_group": "string",
        "surname": "string",
        "tags": [
          {
            "attributes": [
              {
                "created_at": "string",
                "description": "string",
                "filterable": true,
                "id": "string",
                "key": "string",
                "name": "string",
                "template_key": "string",
                "template_name": "string",
                "translatable": true,
                "translations": {
                  "description": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ],
                  "name": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "updated_at": "string",
                "values": {
                  "property1": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  },
                  "property2": {
                    "field_id": "string",
                    "id": "string",
                    "image_id": "string",
                    "image_object": {
                      "alt": "string",
                      "app_id": "string",
                      "blurhash": "string",
                      "copyright": "string",
                      "custom": {
                        "property1": "string",
                        "property2": "string"
                      },
                      "folder_id": "string",
                      "id": "string",
                      "parent_id": "string",
                      "public": true,
                      "status": "string",
                      "title": "string",
                      "url": "string"
                    },
                    "translations": {
                      "value": [
                        {
                          "id": "string",
                          "locale": "string",
                          "value": "string"
                        }
                      ]
                    },
                    "type": "string",
                    "value": "string"
                  }
                }
              }
            ],
            "created_at": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "markets": [
              {
                "active": true,
                "country_codes": [
                  "string"
                ],
                "created_at": "string",
                "currency_code": "string",
                "id": "string",
                "locale": "string",
                "name": "string",
                "slug": "string",
                "updated_at": "string"
              }
            ],
            "name": "string",
            "schedules": [
              {
                "add_category_names": [
                  "string"
                ],
                "add_collection_names": [
                  "string"
                ],
                "add_tag_names": [
                  "string"
                ],
                "execute_at": "string",
                "finished_at": "string",
                "group_id": "string",
                "id": "string",
                "item_id": "string",
                "item_name": "string",
                "item_type": "string",
                "remove_category_names": [
                  "string"
                ],
                "remove_collection_names": [
                  "string"
                ],
                "remove_tag_names": [
                  "string"
                ],
                "to_amount_cents_with_tax": 0,
                "to_market_id": "string",
                "to_market_status": "string",
                "to_on_sale": true,
                "to_sale_amount_cents_with_tax": 0,
                "to_start_sale_timestamp": "string",
                "to_status": "string",
                "to_stop_sale_timestamp": "string",
                "to_store_group_id": "string"
              }
            ],
            "status": "string",
            "translations": {
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string"
          }
        ],
        "third_party_sign_up": true,
        "updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
